Skip to content

/api/v1/facilities/{facilityId}/outbound/pick-tasks/{pickTaskId}/short

POST
/api/v1/facilities/{facilityId}/outbound/pick-tasks/{pickTaskId}/short
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/pick-tasks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/short \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "pickedQuantity": 1, "toteCode": "example", "workerRef": "example" }'
facilityId
required
string format: uuid
pickTaskId
required
string format: uuid
Idempotency-Key
string

Optional, 1 to 128 characters (the IETF Idempotency-Key header). A repeat with the same key and payload within 24 hours answers the stored response and changes nothing; the same key with a different payload is 422 idempotency_key_reused; a repeat while the first is still in flight is 409 idempotency_request_in_progress.

object
pickedQuantity
integer format: int32
toteCode
string
nullable
workerRef
string
nullable

Example generated

{
"pickedQuantity": 1,
"toteCode": "example",
"workerRef": "example"
}

OK

object
id
required
string format: uuid
waveId
required
string format: uuid
orderId
required
string format: uuid
orderNumber
required
string
orderLineId
required
string format: uuid
sequence
required
integer format: int32
locationId
required
string format: uuid
locationCode
required
string
productId
required
string format: uuid
sku
required
string
productName
required
string
lotNumber
required
string
nullable
lpnId
required
string format: uuid
nullable
lpnCode
required
string
nullable
quantity
required
integer format: int32
pickedQuantity
required
integer format: int32
pendingQuantity
required
integer format: int32
openQuantity
required
integer format: int32
shortQuantity
required
integer format: int32
status
required
string
Allowed values: Open Assigned Completed Shorted Cancelled
assignedToType
required
string
nullable
Allowed values: User ApiKey
assignedToId
required
string format: uuid
nullable
assignedWorkerRef
required
string
nullable
toteCode
required
string
nullable
inventoryStatus
required
string
Allowed values: NotPicked Pending Confirmed Rejected
inventoryErrorCode
required
string
nullable
completedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Unprocessable Entity

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable